Package net.shibboleth.idp.profile.impl

# Class ProfileActionBeanPostProcessor

java.lang.Object
net.shibboleth.idp.profile.impl.ProfileActionBeanPostProcessor

All Implemented Interfaces:
  `BeanPostProcessor`

public class ProfileActionBeanPostProcessor extends Object implements BeanPostProcessor
Post-processes `ProfileAction` beans by wrapping them in a Spring Web Flow adaptor.

## Constructor Summary

Constructors
Constructor
Description
`ProfileActionBeanPostProcessor()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`postProcessAfterInitialization(Object bean, String beanName)`
`Object`
`postProcessBeforeInitialization(Object bean, String beanName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProfileActionBeanPostProcessor

public ProfileActionBeanPostProcessor()

## Method Details

### postProcessBeforeInitialization

public Object postProcessBeforeInitialization(@Nonnull Object bean, @Nonnull String beanName)

Specified by:
  `postProcessBeforeInitialization` in interface `BeanPostProcessor`

### postProcessAfterInitialization

public Object postProcessAfterInitialization(@Nonnull Object bean, @Nonnull String beanName)

Specified by:
  `postProcessAfterInitialization` in interface `BeanPostProcessor`